## download

=== Makefile ===
CC ?= gcc
CFLAGS = -O2 -Wall -I/usr/include/cdk
LDFLAGS = -lcdk -lncurses

EXE = shgen
MISC = usr_share_shgen

default: $(EXE)

%.o: %.c
	@echo '  [CC] $^'
	@$(CC) $(CFLAGS) -c -o $@ $<

$(EXE): %: %.o
	@echo '  [LD] $<'
	@$(CC) -o $@ $< $(LDFLAGS)

install: $(EXE)
	@echo '  [INSTALL] $<'
	@mkdir -p $(DESTDIR)/usr/bin
	@install -m 755 $(EXE) $(DESTDIR)/usr/bin
	@mkdir -p $(DESTDIR)/usr/share/$(EXE)
	@install -m 644 -t $(DESTDIR)/usr/share/$(EXE) $(MISC)/GPLv2 $(MISC)/GPLv3\
	 $(MISC)/custom $(MISC)/help $(MISC)/lib $(MISC)/skeleton
	@install -m 755 $(MISC)/shgen.sh $(DESTDIR)/usr/share/$(EXE)

clean:
	@echo '  [CLEAN]'
	@rm -f $(EXE) *.o

.PHONY: clean default install
