=== debian/changelog ===
shgen (0.1-1) lucid; urgency=low

  * Initial release

 -- dragan <ebelcrom@gmail.com>  Thu, 17 May 2018 23:01:27 +0200
