=== debian/control ===
Source: shgen
Section: misc
Priority: optional
Maintainer: dragan <ebelcrom@gmail.com>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.3
Homepage: https://www.binomiant.duckdns.org/9wAuyR5S/?p=shgen.git

Package: shgen
Architecture: any
Depends: libc6 (>= 2.4), libcdk5 (>= 5.0)
Description: Console shell script generator.
 Ncurses based shell script generator for execution in a console.
